Subject: [PATCH] hwmon: (gpio-fan) allow to use alarm support alone from DT

From: [email-masked] (Andrew Lunn)
Date: Wed, 25 Feb 2015 16:04:59 +0100

> However, we need to state and check in the code that _some_ property
> is mandatory. A driver with only optional properties doesn't make
> sense.

The patch to the binding documentation said:

Note: At least one the "gpios" and "alarm-gpios" properties should be set.

which i then suggested should be:

Note: At least one of "gpios" or "alarm-gpios" properties should be set.

What we could do is move this sentence into the Required Properties of
the documentation.

The patch Simon submitted also does check that this condition is
fulfilled.

	Andrew